Bug 111759 - RFE: support APT repositories.
RFE: support APT repositories.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 13:31 EST by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 16:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2003-12-09 13:31:25 EST
Currently (rhn-applet-2.1.4-3) only supports up2date and YUM
repositories (if I am not mistaken). It needs to support APT as well.
Comment 1 Daniel Veillard 2004-01-09 13:08:24 EST
That should be fixed in 2.1.5 I just released. I gave it
minimal testing so it may not work well, YMMV, in this case
provide more informations about the problems experienced.

  http://people.redhat.com/veillard/testing/FC1/i386/rhn-applet/2.1.5/

Daniel
Comment 2 Aleksey Nogin 2004-01-09 16:11:37 EST
Does not seem to be working for me.

% grep '^[a-z]' /etc/sysconfig/rhn/sources
apt fedora-1 http://ayo.freshrpms.net fedora/linux/1/i386 freshrpms
yum fedora-core-1
http://toughguy.caltech.edu/pub/linux/fedora/linux/core/1/i386/os
yum updates-released
http://toughguy.caltech.edu/pub/linux/fedora/linux/core/updates/1/i386

% sudo up2date -l
[...]
Name                          Version        Rel             Channel
----------------------------------------------------------------------
alsa-lib                      1.0.1          .1.fr         
fedora-1-freshrpms

The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
wxGTK                                   2.4.2          3.fr Pkg
name/pattern

But the rhn-applet-gui still shows the green checkmark and tui is not
showing anythin either:

% rpm -q rhn-applet
rhn-applet-2.1.5-1

% rhn-applet-tui
Ignoring XFree86-font-utils
Ignoring XFree86-xdm
Ignoring XFree86-75dpi-fonts
Ignoring XFree86-xauth
Ignoring XFree86-Mesa-libGL
Ignoring XFree86
Ignoring XFree86-cyrillic-fonts
Ignoring XFree86-100dpi-fonts
Ignoring XFree86-libs-data
Ignoring XFree86-twm
Ignoring kernel-source
Ignoring XFree86-Mesa-libGLU
Ignoring XFree86-truetype-fonts
Ignoring XFree86-tools
Ignoring XFree86-devel
Ignoring XFree86-base-fonts
Ignoring XFree86-libs
Ignoring XFree86-xfs
No package updates are needed.
Comment 3 Aleksey Nogin 2004-01-09 16:17:11 EST
Here is what --verbose shows:

rhn-applet-tui --verbose
rpm db mtimes: 0, 1073682516, 1073683080.14
Beginning RPM iter (match, (0,))
Finished RPM query (match, (0,))
Ended RPM query for installed packages
Beginning RPM iter (findbyprovides, ('redhat-release',))
Finished RPM query (findbyprovides, ('redhat-release',))
Beginning RPM iter (findbyfile, ('/boot/vmlinuz-2.4.23-1gt',))
Finished RPM query (findbyfile, ('/boot/vmlinuz-2.4.23-1gt',))
found 227 packages for fedora-1-freshrpms
last_modified : Fri, 09 Jan 2004 18:37:16 GMT
adding apt source fedora-1-freshrpms
found 1462 packages for fedora-core-1
last_modified : Tue, 04 Nov 2003 16:24:34 GMT
adding yum source fedora-core-1
found 84 packages for updates-released
last_modified : Wed, 07 Jan 2004 17:06:13 GMT
adding yum source updates-released
not updated, use cached copy
not updated, use cached copy
not updated, use cached copy
Ignoring XFree86-font-utils
Ignoring XFree86-xdm
Ignoring XFree86-75dpi-fonts
Ignoring XFree86-xauth
Ignoring XFree86-Mesa-libGL
Ignoring XFree86
Ignoring XFree86-cyrillic-fonts
Ignoring XFree86-100dpi-fonts
Ignoring XFree86-libs-data
Ignoring XFree86-twm
Ignoring kernel-source
Ignoring XFree86-Mesa-libGLU
Ignoring XFree86-truetype-fonts
Ignoring XFree86-tools
Ignoring XFree86-devel
Ignoring XFree86-base-fonts
Ignoring XFree86-libs
Ignoring XFree86-xfs
No package updates are needed.

So it does pick up the apt repository, but for some reason does not
notice outdated packages in it...
Comment 4 Aleksey Nogin 2004-01-14 00:05:10 EST
Note that rhn-applet-2.1.5-1 does work sometimes, for some packages:

% sudo up2date -l

Fetching package list for channel: fedora-1-freshrpms...

Fetching
http://ayo.freshrpms.net/fedora/linux/1/i386/base/pkglist.freshrpms.bz2...
########################################

Fetching package list for channel: fedora-core-1...

Fetching
http://toughguy.caltech.edu/pub/linux/fedora/linux/core/1/i386/os/headers/header.info...
########################################

Fetching package list for channel: updates-released...

Fetching
http://toughguy.caltech.edu/pub/linux/fedora/linux/core/updates/1/i386/headers/header.info...
########################################

Fetching Obsoletes list for channel: fedora-1-freshrpms...

Fetching Obsoletes list for channel: fedora-core-1...

Fetching Obsoletes list for channel: updates-released...

Fetching rpm headers...
########################################

Name                          Version        Rel             Channel
----------------------------------------------------------------------
alsa-lib                      1.0.1          2.fr          
fedora-1-freshrpms
gaim                          0.75           1.fr          
fedora-1-freshrpms
lame                          3.95.1         1.fr          
fedora-1-freshrpms
xvidcore                      1.0.0          0.beta3.1.fr  
fedora-1-freshrpms

The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
wxGTK                                   2.4.2          3.fr Pkg
name/pattern

% rhn-applet-tui -vvv
rpm db mtimes: 0, 1074056643, 1074056866.71
Beginning RPM iter (match, (0,))
Finished RPM query (match, (0,))
Ended RPM query for installed packages
Beginning RPM iter (findbyprovides, ('redhat-release',))
Finished RPM query (findbyprovides, ('redhat-release',))
Beginning RPM iter (findbyfile, ('/boot/vmlinuz-2.4.23-1gt',))
Finished RPM query (findbyfile, ('/boot/vmlinuz-2.4.23-1gt',))
found 229 packages for fedora-1-freshrpms
last_modified : Tue, 13 Jan 2004 18:31:50 GMT
adding apt source fedora-1-freshrpms
found 1462 packages for fedora-core-1
last_modified : Tue, 04 Nov 2003 16:24:34 GMT
adding yum source fedora-core-1
found 98 packages for updates-released
last_modified : Tue, 13 Jan 2004 19:56:37 GMT
adding yum source updates-released
not updated, use cached copy
not updated, use cached copy
not updated, use cached copy
Ignoring XFree86-font-utils
Ignoring XFree86-xdm
Ignoring XFree86-twm
Ignoring XFree86-devel
Ignoring XFree86-Mesa-libGL
Ignoring XFree86
Ignoring XFree86-cyrillic-fonts
Ignoring XFree86-100dpi-fonts
Ignoring XFree86-libs-data
Ignoring XFree86-75dpi-fonts
Ignoring kernel-source
Ignoring XFree86-Mesa-libGLU
Ignoring XFree86-truetype-fonts
Ignoring XFree86-tools
Ignoring XFree86-xauth
Ignoring XFree86-base-fonts
Ignoring XFree86-libs
Ignoring XFree86-xfs

The following is a list of outdated packages on your system:

Name                                     Version         Release
-----------------------------------------------------------------------------
gaim                                     0.75            1.fr

Comment 5 Daniel Veillard 2004-01-14 03:38:02 EST
  Yes, it work in a number of cases.
  I think I found the main problem, but I still have an
unexplained behaviour difference between up2date selections
and the rhn-applet ones, that's why I didn't made a new
release yet.
 So I should have a fix in for this problem soon, 

Daniel
Comment 6 Matthew Miller 2006-07-11 13:22:37 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 7 Matthew Miller 2006-07-11 21:53:11 EDT
Note that rhn-applet is gone in FC5 and on.

Note You need to log in before you can comment on or make changes to this bug.